Blockly.Blocks["f_move"] = {
init: function() {
this.appendDummyInput()
   .appendField("Move Forward")
   .appendField(new Blockly.FieldNumber(0), "pasos");
this.setPreviousStatement(true, null);
this.setNextStatement(true, null);
this.setColour(230);
this.setTooltip("Help");
this.setHelpUrl("");
}};
Blockly.Blocks["f_turn"] = {init: function() {var DIRECTIONS =
[["Right","D"],["Left","E"]];var VALUES =[
["15\u00B0","15"],
[" 30\u00B0"," 30"],
[" 45\u00B0"," 45"],
[" 60\u00B0"," 60"],
[" 90\u00B0"," 90"]
]; DIRECTIONS[0][0] += " \u21BB";DIRECTIONS[1][0] += " \u21BA";this.setColour(230);this.appendDummyInput()
.appendField("Turn").appendField(new Blockly.FieldDropdown(DIRECTIONS), "DIR").appendField(new Blockly.FieldDropdown(VALUES), "VALUE");
this.setPreviousStatement(true);this.setNextStatement(true);this.setTooltip("Help");}};
Blockly.Blocks["f_turn_var"] = {init: function() {var DIRECTIONS =[["Right","D"],["Left","E"]];
DIRECTIONS[0][0] += " \u21BB";DIRECTIONS[1][0] += " \u21BA";this.setColour(230);this.appendDummyInput()
.appendField("Turn").appendField(new Blockly.FieldDropdown(DIRECTIONS), "DIR").appendField(new Blockly.FieldNumber(0), "grades").appendField("\u00B0");
this.setPreviousStatement(true);this.setNextStatement(true);this.setTooltip("Help");}};
